Bug 193849 - Add a scrolling tree test that toggles scrollability on an intermediate iframe
Summary: Add a scrolling tree test that toggles scrollability on an intermediate iframe
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-01-25 15:23 PST by Simon Fraser (smfr)
Modified: 2019-02-05 09:26 PST (History)
4 users (show)

See Also:


Attachments
Patch (11.79 KB, patch)
2019-01-25 15:23 PST, Simon Fraser (smfr)
dino: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2019-01-25 15:23:19 PST
Add a scrolling tree test that toggles scrollability on an intermediate iframe
Comment 1 Simon Fraser (smfr) 2019-01-25 15:23:34 PST
Created attachment 360174 [details]
Patch
Comment 2 Dean Jackson 2019-01-25 15:27:02 PST
Comment on attachment 360174 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=360174&action=review

> LayoutTests/scrollingcoordinator/scrolling-tree/resources/scroll-toggling-frame.html:45
> +            iframe {
> +                width: 400px;
> +                height: 300px;
> +                box-shadow: 0 0 10px black;
> +                border: 2px solid black;
> +            }

I don't see any iframe in this doc.
Comment 3 Simon Fraser (smfr) 2019-01-26 12:15:17 PST
https://trac.webkit.org/changeset/240535/webkit
Comment 4 Radar WebKit Bug Importer 2019-01-26 12:16:29 PST
<rdar://problem/47575885>
Comment 5 Truitt Savell 2019-01-28 09:13:29 PST
This test scrollingcoordinator/scrolling-tree/toggle-coordinated-frame-scrolling.html

that was added is a flakey failure. 

History:
https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=scrollingcoordinator%2Fscrolling-tree%2Ftoggle-coordinated-frame-scrolling.html

Diff:
--- /Volumes/Data/slave/highsierra-debug-tests-wk2/build/layout-test-results/scrollingcoordinator/scrolling-tree/toggle-coordinated-frame-scrolling-expected.txt
+++ /Volumes/Data/slave/highsierra-debug-tests-wk2/build/layout-test-results/scrollingcoordinator/scrolling-tree/toggle-coordinated-frame-scrolling-actual.txt
@@ -33,27 +33,6 @@
           (min layout viewport origin (0,0))
           (max layout viewport origin (0,524))
           (behavior for fixed 0)
-          (children 1
-            (Frame hosting node
-              (children 1
-                (Frame scrolling node
-                  (scrollable area size 485 400)
-                  (contents size 485 1024)
-                  (scrollable area parameters 
-                    (horizontal scroll elasticity 0)
-                    (vertical scroll elasticity 0)
-                    (horizontal scrollbar mode 0)
-                    (vertical scrollbar mode 0)
-                    (has enabled vertical scrollbar 1))
-                  (visual viewport enabled 1)
-                  (layout viewport at (0,0) size 485x400)
-                  (min layout viewport origin (0,0))
-                  (max layout viewport origin (0,624))
-                  (behavior for fixed 0)
-                )
-              )
-            )
-          )
         )
       )
     )
@@ -65,7 +44,7 @@
 
 (Frame scrolling node
   (scrollable area size 785 600)
-  (contents size 785 1541)
+  (contents size 785 1226)
   (scrollable area parameters 
     (horizontal scroll elasticity 2)
     (vertical scroll elasticity 2)
@@ -75,7 +54,7 @@
   (visual viewport enabled 1)
   (layout viewport at (0,0) size 785x600)
   (min layout viewport origin (0,0))
-  (max layout viewport origin (0,941))
+  (max layout viewport origin (0,626))
   (behavior for fixed 0)
   (children 1
     (Frame hosting node
Comment 6 Truitt Savell 2019-02-05 09:26:41 PST
Made bug https://bugs.webkit.org/show_bug.cgi?id=194291 to track this test failure